> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2026 06 04T14:32:21Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `GET` /api/loyalty/rule\_edits

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `data` (object)

      > Data that was changed on the rule

      * Added property `progressType` (string)

        > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

        Enum values:

        * `counter`
        * `percentage`
    * Changed property `previousData` (object)

      > Previous data of the rule before the edit

      * Added property `progressType` (string)
        > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

##### `POST` /api/loyalty/rule\_edits/{id}/restore

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (object)

    > Data that was changed on the rule

    * Added property `progressType` (string)
      > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

  * Changed property `previousData` (object)

    > Previous data of the rule before the edit

    * Added property `progressType` (string)
      > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

##### `GET` /api/loyalty/rules

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Added property `progressType` (string)
      > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

##### `POST` /api/loyalty/rules

###### Request:

Changed content type : `application/json`

* Added property `progressType` (string)
  > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `progressType` (string)
    > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

##### `POST` /api/loyalty/rules/{id}

###### Request:

Changed content type : `application/json`

* Added property `progressType` (string)
  > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `progressType` (string)
    > How tracked progress is interpreted. "percentage" counts 0-100 and is shown as a percentage. "counter" counts up to the highest reward range end and is shown as a raw count.

##### `POST` /api/loyalty/rule\_statuses

###### Request:

Changed content type : `application/json`

* Changed property `progress` (number)
  > Progress of the loyalty rule. Clamped to the rule target (100 for percentage rules, the highest reward range end for counter rules).

* Changed property `incProgress` (number)
  > Increment progress of the loyalty rule. The resulting progress is clamped to the rule target (100 for percentage rules, the highest reward range end for counter rules).

#### Result

***

API changes are backward compatible
